Bug 1239222 - (myclabs/deep-copy) Review Request: php-myclabs-deep-copy - Create deep copies (clones) of your objects
Review Request: php-myclabs-deep-copy - Create deep copies (clones) of your o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-04 10:18 EDT by Remi Collet
Modified: 2015-07-23 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-myclabs-deep-copy-1.3.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 04:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
fedora: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo-full.log (8.28 KB, text/plain)
2015-07-04 11:58 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-src.log (4.33 KB, text/plain)
2015-07-04 11:58 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (5.84 KB, text/plain)
2015-07-04 11:59 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-07-04 10:18:28 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/8834cadd97f8124e0af46f8bb45c72d6fc0daaa3/php/php-myclabs-deep-copy/php-myclabs-deep-copy.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-myclabs-deep-copy-1.3.0-1.remi.src.rpm
Description: 
DeepCopy helps you create deep copies (clones) of your objects.
It is designed to handle cycles in the association graph.

Fedora Account System Username: remi

-- 
New dependency of PHPUnit 5.x
Comment 1 Shawn Iwinski 2015-07-04 11:58:14 EDT
Created attachment 1046053 [details]
phpcompatinfo-full.log

Full (i.e. BuildRequires) phpcompatinfo analysis.

phpCompatInfo version 4.3.0 DB built Jun 16 2015 12:31:49 CEST
Comment 2 Shawn Iwinski 2015-07-04 11:58:50 EDT
Created attachment 1046054 [details]
phpcompatinfo-src.log

Source (i.e. Requires) phpcompatinfo analysis.

phpCompatInfo version 4.3.0 DB built Jun 16 2015 12:31:49 CEST
Comment 3 Shawn Iwinski 2015-07-04 11:59:24 EDT
Created attachment 1046055 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1239222
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-07-04 12:00:33 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2015-07-04 12:07:38 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-myclabs-deep-copy
Short Description: Create deep copies (clones) of your objects 
Upstream URL: https://github.com/myclabs/DeepCopy
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-07-05 00:06:33 EDT
Git done (by process-git-requests).
Comment 7 Remi Collet 2015-07-05 01:32:20 EDT
Can you please checl this request ?
I found the package in pkgdb but not in git

http://pkgs.fedoraproject.org/cgit/php-myclabs-deep-copy.git

$ fedpkg clone php-myclabs-deep-copy
Clonage dans 'php-myclabs-deep-copy'...
FATAL: R any php-myclabs-deep-copy remi DENIED by fallthru
(or you mis-spelled the reponame)
fatal: Could not read from remote repository.
Comment 8 Remi Collet 2015-07-06 02:06:47 EDT
Strange, seems ok now...
Comment 9 Fedora Update System 2015-07-06 02:49:15 EDT
php-myclabs-deep-copy-1.3.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-myclabs-deep-copy-1.3.0-1.el7
Comment 10 Fedora Update System 2015-07-06 02:49:23 EDT
php-myclabs-deep-copy-1.3.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-myclabs-deep-copy-1.3.0-1.fc22
Comment 11 Fedora Update System 2015-07-06 02:49:30 EDT
php-myclabs-deep-copy-1.3.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-myclabs-deep-copy-1.3.0-1.fc21
Comment 12 Fedora Update System 2015-07-08 13:06:22 EDT
php-myclabs-deep-copy-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 13 Fedora Update System 2015-07-21 04:13:40 EDT
php-myclabs-deep-copy-1.3.0-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 14 Fedora Update System 2015-07-21 04:16:57 EDT
php-myclabs-deep-copy-1.3.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 15 Fedora Update System 2015-07-23 15:11:15 EDT
php-myclabs-deep-copy-1.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.